On this page
No Headings
Note: For the PayPal payment method, you cannot update the `start_date` after the agreement is created.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the agreement to update.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X PATCH "https://api-m.sandbox.paypal.com/billing-agreements/string" \ -H "Content-Type: application/json" \ -d '[ { "op": "replace", "path": "/", "value": { "description": "Updated description.", "start_date": "2017-12-22T09:13:49Z", "shipping_address": { "line1": "Hotel Blue Diamond", "line2": "Church Street", "city": "San Jose", "state": "CA", "postal_code": "95112", "country_code": "US" } } } ]'{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}